%define _disable_ld_no_undefined %{nil}

# don't provide plugin .so
%global __provides_exclude_from %{_libdir}/zathura/.*\\.so

Name:		zathura-djvu
Version:	0.2.9
Release:	%mkrel 1
Summary:	DjVu support for zathura
Group:		Publishing
License:	zlib
URL:		https://pwmt.org/projects/zathura-djvu/
Source0:	https://github.com/pwmt/zathura-djvu/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires:	meson
BuildRequires:	pkgconfig(ddjvuapi)
BuildRequires:	pkgconfig(zathura) >= 0.2.3
Requires:	zathura

%description
The zathura-djvu plugin adds DjVu support to zathura by
using the djvulibre library.

%prep
%setup -q

%build
%meson
%meson_build

%install
%meson_install

%files
%doc AUTHORS
%license LICENSE
%{_libdir}/zathura/libdjvu.so
%{_datadir}/applications/org.pwmt.zathura-djvu.desktop
%{_metainfodir}/org.pwmt.zathura-djvu.metainfo.xml


%changelog
* Fri Apr 24 2020 wally <wally> 0.2.9-1.mga8
+ Revision: 1571710
- new version 0.2.9

* Sat Feb 15 2020 umeabot <umeabot> 0.2.8-3.mga8
+ Revision: 1525511
- Mageia 8 Mass Rebuild

* Thu Apr 18 2019 umeabot <umeabot> 0.2.8-2.mga7
+ Revision: 1392988
- Rebuild with meson 0.50.1
+ wally <wally>
- don't provide plugin .so

* Sun Mar 31 2019 wally <wally> 0.2.8-1.mga7
+ Revision: 1383390
- new version 0.2.8
- switch to meson build

* Sun Sep 23 2018 umeabot <umeabot> 2.mga7-current
+ Revision: 1302035
- Mageia 7 Mass Rebuild

* Tue Oct 10 2017 wally <wally> 0.2.6-1.mga7
+ Revision: 1170753
- new version 0.2.6

* Fri Jan 01 2016 wally <wally> 0.2.5-1.mga6
+ Revision: 917694
- new version 0.2.5

* Mon Jun 22 2015 wally <wally> 0.2.4-1.mga6
+ Revision: 839761
- new version 0.2.4

* Wed Oct 15 2014 umeabot <umeabot> 0.2.3-6.mga5
+ Revision: 750452
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.3-5.mga5
+ Revision: 690856
- Mageia 5 Mass Rebuild

* Sat Feb 08 2014 wally <wally> 0.2.3-4.mga5
+ Revision: 586125
- rebuild for new girara

* Sat Feb 08 2014 wally <wally> 0.2.3-3.mga5
+ Revision: 586124
- rebuild for new gigara

* Sat Oct 19 2013 umeabot <umeabot> 0.2.3-2.mga4
+ Revision: 528601
- Mageia 4 Mass Rebuild

* Tue Jun 25 2013 wally <wally> 0.2.3-1.mga4
+ Revision: 446561
- clean .spec
- imported package zathura-djvu


* Wed May 29 2013 Petr Šabata <contyk@redhat.com> - 0.2.3-2
- Fix a debuginfo regression (#967954)

* Tue May 21 2013 Petr Šabata <contyk@redhat.com> - 0.2.3-1
- 0.2.3 bump
- Dropping the now unneeded patches

* Fri Mar 29 2013 Kevin Fenzi <kevin@scrye.com> 0.2.2-1
- Update to 0.2.2

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jan 12 2013 François Cami <fcami@fedoraproject.org> - 0.2.1-3
- force-require zathura.

* Tue Jan 08 2013 François Cami <fcami@fedoraproject.org> - 0.2.1-2
- Add fix for djvulibre-devel < 3.5.25 - Thanks to M. Schwendt and E. Echeverria

* Tue Jan 01 2013 François Cami <fcami@fedoraproject.org> - 0.2.1-1
- Initial package.
